Add ITcomment_line_prag token to Hyperlinker Parser
ClosedPublic

Authored by bsklaroff on Jul 5 2018, 4:46 AM.

Details

Summary

This token is necessary for parsing #line pragmas inside nested comments.

Diff Detail

Repository
rHADDOCK Haddock
Branch
add-comment-line-prag-token
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 21625
Build 49316: arc lint + arc unit
bsklaroff created this revision.Jul 5 2018, 4:46 AM

Looks reasonable to me. However, patches for haddock are generally taken via upstream, https://github.com/haskell/haddock.

bgamari accepted this revision.Jul 12 2018, 10:38 AM

Nevertheless, I can merge this.

This revision is now accepted and ready to land.Jul 12 2018, 10:38 AM
bsklaroff closed this revision.Aug 22 2018, 10:16 AM

this was merged